Form Search

Returns information about all Forms for the specified Kapp.

Path Params
string
required

The slug of the Kapp

Query Params
boolean

If the count query parameter is specified, the server will respond with a count and no results for improved network performance of getting 'counts'.

boolean
Defaults to false

Flag indicating the API should return archived (i.e. deleted) forms.

The user must be a space admin to perform this action.

string

When specified, will filter out archived forms that don't match the provided slug.

Only valid when the archived parameter is set to true.

date-time

Inclusive starting date/time boundary for when the form was archived (i.e. deleted).

Must be in the following ISO8601 format; yyyy-MM-dd'T'HH:mm:ss'Z'

Only valid when the archived parameter is set to true.

date-time

Exclusive ending date/time boundary for when the form was archived (i.e. deleted).

Must be in the following ISO8601 format; yyyy-MM-dd'T'HH:mm:ss'Z'

Only valid when the archived parameter is set to true.

int32
1 to 1000
Defaults to 1000

Limit the number of results returned.

If not provided, the server will return the default, maximum limit of 1000 results.

DEPRECATION NOTICE: Pagination functionality was introduced in version 2.4. In order to provide backwards compatibility with previous versions, if you provide the limit parameter, results will be paginated. If you don't provide the limit parameter, the full result will be returned. The ability to return the full result set will be deprecated in a later version in favor of a paginated set of results.

string

A comma separated list of any of the following form properties to order (sort) results by

  • createdAt

  • updatedAt

  • name

  • slug

  • status

  • type

  • attributes[Attribute Name]

string

The token to get the next page of results.

This value is set using the nextPageToken value returned by a search with the same query to get the next page or results.

string
enum
Defaults to ASC

The direction the results should be ordered by, either ascending or descending.

Allowed:
string

Search qualification parameter used to find forms within the system.

Common Example Queries

  • q=status = "Active"

    Returns all active forms in the kapp.

  • q=status = "Active" AND type = "Approval"

    Returns all active forms in the kapp that are also of type Approval

  • q=status = "Active" AND type = "Approval" AND (name =* "approval" OR slug =* "approval")

    Returns all active forms in the kapp that are also of type Approval and have a name or slug that start with "approval"

Operators:

  • BETWEEN

    left side is between two values - first value is inclusive, second value is exclusive

  • IN

    left side is equal to one of provided items

  • =

    equal

  • =*

    starts with

  • *=*

    contains

  • >

    greater than

  • >=

    greater than or equal

  • <

    less than

  • <=

    less than or equal

  • AND

    Returns boolean true if and only if both expressions are true

  • OR

    Returns boolean true if at least one expression is true

Queryable Properties

The following properties can be used within a search with the =, IN, =* (starts with), *=* (contains), <, <=, >, >=, and BETWEEN operators.
  • category (Category associated with a form)

    Example: q=category =* "IT"

  • createdAt (The ISO 8601 time that when the form was created)

    Example: q=createdAt BETWEEN ("2018-04-16T18:42:56.000Z","2019-04-16T18:42:56.000Z")

  • name (Name of the form)

    Example: q=name="HR Approval"

  • slug (Slug of the form)

    Example: q=slug="hr-approval"

  • updatedAt (The ISO 8601 time that when the form was last updated)

    Example: q=updatedAt >= "2018-04-16T18:42:56.000Z"

  • status (The status of the form)

    Example: q=enabled="true"

  • type (The form type)

    Example: q=spaceAdmin="false"

  • attributes[Attribute Name] (Attribute Value of a form)

    Example: q=attributes[Icon]="fa-comment"

Pagination

The system will paginate search results based on the limit parameter. If there are more results than the limit parameter (or more than 1000 results if the limit parameter is not provided), a nextPageToken will be included in the response. The nextPageToken value can be passed as the pageToken parameter in subsequent queries to obtain the next page of results.

DEPRECATION NOTICE: Pagination functionality was introduced in version 2.4. In order to provide backwards compatibility with previous versions, if you provide the limit parameter, results will be paginated. If you don't provide the limit parameter, the full result will be returned. The ability to return the full result set will be deprecated in a later version in favor of a paginated set of results.

Example Response with a next page token:

{
  "forms": [{...}, {...}],
  "nextPageToken": "YWJib3R0LmRldmFuQHRoaWVsLm9yZw.4wg2me95blthjyzdvkfs56oc3"
}
string

comma-separated list of properties to include in the response

  • details

  • attributes

  • attributes[ATTRIBUTE NAME]

  • attributesMap

  • attributesMap[ATTRIBUTE NAME]

  • bridgedResources

  • categorizations

  • customHeadContent

  • fields

  • fields[FIELD NAME]

  • pages

  • securityPolicies

  • kapp

  • kapp.{any kapp include property}

Response

Language
Credentials
Basic
base64
:
URL
Response
Choose an example:
application/json